/**
 * Numeric constants used throughout the application
 */
export declare const DEFAULT_MAX_RETRIES: number;
export declare const DEFAULT_VALIDATION_MAX_RETRIES: number;
export declare const MAX_TOKENS: number;
export declare const LLM_TEMPERATURE: number;
export declare const RETRY_DELAY_MS: number;
export declare const RULE_LEVEL_INDEX: number;
export declare const RULE_CONDITION_INDEX: number;
export declare const RULE_VALUE_INDEX: number;
export declare const MIN_RULE_LENGTH: number;
export declare const RULE_CONFIG_LENGTH: number;
export declare const VALIDATION_LEVEL_DISABLED: number;
export declare const VALIDATION_LEVEL_WARNING: number;
export declare const VALIDATION_LEVEL_ERROR: number;
export declare const ELLIPSIS_LENGTH: number;
export declare const MIN_API_KEY_LENGTH: number;
export declare const REDACTED_LENGTH: number;
export declare const NOTE_BOX_PADDING: number;
export declare const NOTE_BOX_CONTENT_PADDING: number;
export declare const MIN_RETRY_COUNT: number;
export declare const MAX_RETRY_COUNT: number;
export declare const OPENAI_MAX_TOKENS: number;
export declare const OPENAI_TEMPERATURE: number;
