'use strict';

/**
 * Enum representing the available LLM providers
 */
exports.ELLMProvider = void 0;
(function (ELLMProvider) {
    ELLMProvider["ANTHROPIC"] = "anthropic";
    ELLMProvider["AWS_BEDROCK"] = "aws-bedrock";
    ELLMProvider["AZURE_OPENAI"] = "azure-openai";
    ELLMProvider["GOOGLE"] = "google";
    ELLMProvider["OLLAMA"] = "ollama";
    ELLMProvider["OPENAI"] = "openai";
})(exports.ELLMProvider || (exports.ELLMProvider = {}));
//# sourceMappingURL=llm-provider.enum.js.map
